
#ifndef Nntppost_stringleN

#include "../s_tools/sfile.h"
#include "nntphead.h"

#define Nntppost_stringleN 1024

struct NntpposT {
 /* target */
 struct NntpgrouP *group;

 /* source */
 int use_own_msgid;
 char hostid[Nntppost_stringleN];
 char username[Nntppost_stringleN];
 char organization[Nntppost_stringleN];
 
 /* content */
 char subject[Nntppost_stringleN];
 char reference[Nntppost_stringleN];
 char control_msg[Nntppost_stringleN];
 char *body_text;
 char body_file[SfileadrL];
 char bin_file[SfileadrL];

 /* message id */
 char msgid[Nntppost_stringleN];
 char prev_key[Nntppost_stringleN];

 char all_references[Nntphead_refL];
};

/* a formatter for sprintf(,,filename,filename) . Use two %s : one for the
   basename and the second for the full path. */
/* The result has to be a valid shell command knowing about the filename
   and writing the uuencoded results to stdandard output. */
#define Nntppost_uuencodeR  "uuencode %s < %s"

/*
 external constants:
   servername,filename

 functions:
   uniquekey(),addcarriage(),

 parameters:
   hostid,user,organization,
   targetgroup,
   subject,
 
 POST
 <<<340>>>
 Relay-Version: version snntpbatch 0.0 A00213; site $hostid
 Posting-Version: version snntpbatch 0.0 A00213; site $hostid
 From: $user@$hostid
 Date: $(date +'%a, %d %b %Y %T %Z')
 Newsgroups: $targetgroup
 Subject: $subject
 Message-ID: <$uniquekey()@$hostid>
 Path: $servername
 Organization: $organization
 
 ...blabla...
 $addcarriage($(uuencode $filename <$filename))
 ...blabla...
 .
 <<<240>>>

*/

#endif /* ! Nntppost_stringleN */

